org.apache.uima.fit.util

## Class FSUtil

- java.lang.Object
- - org.apache.uima.fit.util.FSUtil

-     public class FSUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `getFeature(org.apache.uima.cas.FeatureStructure aFS, org.apache.uima.cas.Feature aFeature, Class<T> aClazz)`
    `static <T> T` | `getFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, Class<T> aClazz)`
    `static boolean` | `hasFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature)`
    `static boolean` | `isMultiValuedFeature(org.apache.uima.cas.FeatureStructure aFS, org.apache.uima.cas.Feature feat)`
    `static boolean` | `isMultiValuedFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature)`
    `static boolean` | `isMultiValuedFeature(org.apache.uima.cas.TypeSystem aTypeSystem, org.apache.uima.cas.Feature feat)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, boolean... aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, byte... aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, Collection aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, double... aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, org.apache.uima.cas.FeatureStructure... aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, float... aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, int... aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, long... aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, short... aValue)`
    `static void` | `setFeature(org.apache.uima.cas.FeatureStructure aFS, String aFeature, String... aValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSUtil

          public FSUtil()

  - ### Method Detail

    - #### hasFeature

          public static boolean hasFeature(org.apache.uima.cas.FeatureStructure aFS,
                                           String aFeature)

    - #### isMultiValuedFeature

          public static boolean isMultiValuedFeature(org.apache.uima.cas.FeatureStructure aFS,
                                                     String aFeature)

    - #### isMultiValuedFeature

          public static boolean isMultiValuedFeature(org.apache.uima.cas.FeatureStructure aFS,
                                                     org.apache.uima.cas.Feature feat)

    - #### isMultiValuedFeature

          public static boolean isMultiValuedFeature(org.apache.uima.cas.TypeSystem aTypeSystem,
                                                     org.apache.uima.cas.Feature feat)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        boolean... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        byte... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        double... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        float... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        int... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        long... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        short... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        String... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        org.apache.uima.cas.FeatureStructure... aValue)

    - #### setFeature

          public static void setFeature(org.apache.uima.cas.FeatureStructure aFS,
                                        String aFeature,
                                        Collection aValue)

    - #### getFeature

          public static <T> T getFeature(org.apache.uima.cas.FeatureStructure aFS,
                                         String aFeature,
                                         Class<T> aClazz)

    - #### getFeature

          public static <T> T getFeature(org.apache.uima.cas.FeatureStructure aFS,
                                         org.apache.uima.cas.Feature aFeature,
                                         Class<T> aClazz)

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.